Jump to content

COTATION COURBES DE NIVEAUX


Recommended Posts

Coucou

 

d'habitude c'est moi qui ronchonne contre ces nouveaux objets qui ne sont plus des entités AutoCAD !!!

et maintenant tu prends la relève, bravo l'éducation nationale !

 

blague à part il faut en parler, les courbes de niveaux des MN objet ne sont pas ... des courbes de niveaux ce n'est que de "l'affichage".

il faut en redessiner d'autres, des vraies entités AutoCAD pour lancer la cotation

 

je ne ronchonne pas car je trouve finalement de l'intérêt à ces MNT objet, pas toujours mais souvent tout de même

 

amicalement

Link to post
Share on other sites

Bonjour à toutes et tous,

 

Salut Thierry,

 

covadis 3d/courbes de niveaux/automatique sur MNT ???

 

Je n'ai pas possibilité de revérifier mais il me semble que nous n'avons pas toutes les options de disponible dans le choix de la cotation comme dans la commande "Cotation des courbes"

 

Salut Didier,

 

les courbes de niveaux des MN objet ne sont pas ... des courbes de niveaux ce n'est que de "l'affichage".

 

Aprés lissage en b-spline, j'explose le MNTO (on retrouve donc les calques des courbes de niveaux que l'on choisit de coter,..) et je peux coter les courbes souhaitées Mais, cela ne doit pas être la bonne méthode,...

Civil 3D 2021 - COVADIS_17.1d

https://www.linkedin...3%ABt-95313341/

Link to post
Share on other sites

Re,

 

Je pense avoir compris,..

 

On utilise "covadis 3d/courbes de niveaux/automatique sur MNT ???" pour redessiner les courbes, surement ce que voulais dire Didier,..(.

l faut en redessiner d'autres, des vraies entités AutoCAD pour lancer la cotation
)

 

Et ensuite, on cote ces courbes ?

 

Au final, ma "méthode" revient au même ,...

 

Je pensais qu'il était possible de coter les courbes du MNTObjet sans faire cette opération,...

Civil 3D 2021 - COVADIS_17.1d

https://www.linkedin...3%ABt-95313341/

Link to post
Share on other sites

Bonjour Lili

 

Au final, ma "méthode" revient au même ,...

... Visuellement parlant oui...

... Mais décomposer un MNT objet est une chose qu'il est préférable d'éviter maintenant qu'en v14 toutes les commandes gèrent les MNT objet. Entre autre tu perds tout le dynamisme des MNT objet aussi bien au niveau de la création du MNT objet qu'au niveau de son utilisation dans des projets.

 

 

Cordialement

Link to post
Share on other sites

Re,

 

Salut Typhon,

 

Entre autre tu perds tout le dynamisme des MNT objet

 

Oui, c'est pour ça que j'ai écrit =>

A part décomposer le MNTObjet puis le recomposer,A part décomposer le MNTObjet puis le recomposer,

 

Je suis surpris que l'on ne puisse pas faire autrement que comme je fais actuellement ou en repassant par le dessin, puis, la cotation des courbes.

 

Sur un plan topo, c'est incontournable parfois,...

 

je me contente du maximum

 

En général moi aussi, mais dans la limite de mes compétences/connaissances,...D'ou ma question d'ailleurs !

 

Ou alors, c'est peut être une suggestion pour les versions à venir si je ne suis pas le seul à y voir un intérêt,...

Civil 3D 2021 - COVADIS_17.1d

https://www.linkedin...3%ABt-95313341/

Link to post
Share on other sites

Bonjour Lili

Si par recomposer un MNT objet, tu entends créer un MNT objet à partir de faces 3D, ce MNT objet n'est pas dynamique

(A la différence d'un MNT objet créee à partir d'un semis de points et de lignes de ruptures de pentes)!

Visuellement parlant il est là, identique à ce qu'il était avant décomposition. Tu peux l'utiliser dans des projets. Mais il a perdu son dynamisme (s'il en avait un bien sûr)!

Et l'objet Etat de Terrain qui sert d'intermédiaire pour associer les MNT de référence dans les projets risque de ne plus être correctement paramétré.

 

Une remarque au passage : le fait de dessiner les courbes de niveau sous forme de polylignes présente l'avantage qu'n peut si besoin retravailler ces objets manuellement avant de les coter.

 

 

Cordialement

Link to post
Share on other sites

Bonjour à toutes et tous,

 

Salut Typhon,

 

ce MNT objet n'est pas dynamique

 

Je me sers de cette "technique" que pour le rendu du plan topo. J'ai bien entendu le fichier de base de projet ou j'ai réalisé mon MNTObjet depuis point/lignes de ruptures. C'est sur celui ci que je travaille les projets.

 

Mon "soucis" est uniquement la finalisation de mon plan Topo avec cotation des courbes de niveaux,...

 

Une remarque au passage : le fait de dessiner les courbes de niveau sous forme de polylignes présente l'avantage qu'n peut si besoin retravailler ces objets manuellement avant de les coter.

 

 

Bien entendu, mais je trouve dommage d'avoir le calcul des courbes dans le MNTObjet sans possibilité de le coter, c'était juste ma remarque.

 

Merci pour ce complément d'info Typhon,;)

Civil 3D 2021 - COVADIS_17.1d

https://www.linkedin...3%ABt-95313341/

Link to post
Share on other sites
  • 2 months later...

+1, c'est pas normal. Si on va vers l'objet MNT, alors il faut aussi faire vivre les "anciennes" fonctions telles que la cotation des courbes de niveaux.

Certes, il y a "Covadis 3D > MNT Objet > Utilitaires > Extraire les courbes de niveaux" mais cette étape supplémentaire alourdi considérablement le dessin lorsque le MNT est d'une taille importante.

Appel aux développeurs Géomédia... la cotation des courbes pourrait être interactive avec les courbes du MNT Objet.

Link to post
Share on other sites

Bonjour,

 

Je l'avais posté sur un forum (je ne sais plus où!)

Cela créer un texte au milieu d'une/des polylignes optimisées sélectionnées en prenant son/leurs élévations.

Je ne sais pas si ça répond vraiment à la demande...

 

(vl-load-com)
(defun c:Label_Side_Elevation ( / js htx AcDoc Space n obj ename pr pt deriv rtx nw_obj)
 (princ "\nSélectionnez des polylignes: ")
 (setq js
   (ssget
     (list
       '(0 . "LWPOLYLINE")
       (cons 67 (if (eq (getvar "CVPORT") 1) 1 0))
       (cons 410 (if (eq (getvar "CVPORT") 1) (getvar "CTAB") "Model"))
     )
   )
 )
 (cond
   (js
     (initget 6)
     (setq htx (getdist (getvar "VIEWCTR") (strcat "\nSpécifiez la hauteur du texte <" (rtos (getvar "TEXTSIZE")) ">: ")))
     (if htx (setvar "TEXTSIZE" htx))
     (setq
       AcDoc (vla-get-ActiveDocument (vlax-get-acad-object))
       Space
       (if (= 1 (getvar "CVPORT"))
         (vla-get-PaperSpace AcDoc)
         (vla-get-ModelSpace AcDoc)
       )
     )
     (cond
       ((null (tblsearch "LAYER" "Label Elevation"))
         (vlax-put (vla-add (vla-get-layers AcDoc) "Label Elevation") 'color 96)
       )
     )
     (repeat (setq n (sslength js))
       (setq
         obj (ssname js (setq n (1- n)))
         ename (vlax-ename->vla-object obj)
         pr (* 0.5 (vlax-curve-getEndParam ename))
         pt (vlax-curve-GetpointAtParam ename pr)
         deriv (vlax-curve-getFirstDeriv ename pr)
         rtx (- (atan (cadr deriv) (car deriv)) (angle '(0 0 0) (getvar "UCSXDIR")))
       )
       (if (or (> rtx (* pi 0.5)) (< rtx (- (* pi 0.5)))) (setq rtx (+ rtx pi)))
       (setq nw_obj
         (vla-addMtext Space
           (vlax-3d-point (setq pt (polar pt (+ rtx (* pi 0.5)) (getvar "TEXTSIZE"))))
           0.0
           (strcat
             "{\\fArial|b0|i0|c0|p34;"
             "%<\\AcObjProp Object(%<\\_ObjId "
             (itoa (vla-get-ObjectID (vlax-ename->vla-object obj)))
             ">%).Elevation \\f \"%lu2%pr0\">%"
           )
         )
       )
       (mapcar
         '(lambda (pr val)
           (vlax-put nw_obj pr val)
         )
         (list 'AttachmentPoint 'Height 'DrawingDirection 'InsertionPoint 'StyleName 'Layer 'Rotation 'BackgroundFill)
         (list 5 (getvar "TEXTSIZE") 5 pt "Standard" "Label Elevation" rtx 0)
       )
     )
   )
 )
 (prin1)
)

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...